Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.ui.resource
Class ResourceHelper

    java.lang.Object
      org.springframework.faces.ui.resource.ResourceHelper

    public class ResourceHelper

extends java.lang.Object

Helper used by Spring Faces component renderers to add links to javascript and css resources. The resource links will be rendered in the correct format for the requests to be handled by the Spring JavaScript `ResourceServlet`. The resource paths are cached so that a particular resource link is only rendered once per request.

Author:
  Jeremy Grelle

Method Summary
`static void` | `beginCombineStyles(javax.faces.context.FacesContext facesContext)`
`static void` | `beginScriptBlock(javax.faces.context.FacesContext facesContext)`
`static void` | `endCombineStyles(javax.faces.context.FacesContext facesContext)`
`static void` | `endScriptBlock(javax.faces.context.FacesContext facesContext)`
`static void` | `renderDojoInclude(javax.faces.context.FacesContext facesContext, java.lang.String module)` Render a `` tag for a given dojo include.
`static void` | `renderResource(javax.faces.context.FacesContext facesContext, java.lang.String resourcePath)` Renders either a script or style resource depending on the resourcePath
`static void` | `renderScriptLink(javax.faces.context.FacesContext facesContext, java.lang.String scriptPath)` Render a `` tag for a given script resource.
`static void` | `renderScriptLink(javax.faces.context.FacesContext facesContext, java.lang.String scriptPath, java.util.Map attributes)` Render a `` tag for a given script resource.
`static void` | `renderStyleLink(javax.faces.context.FacesContext facesContext, java.lang.String cssPath)` Render a `` tag for a given stylesheet resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### renderResource

    public static void renderResource(javax.faces.context.FacesContext facesContext,
                                      java.lang.String resourcePath)
                               throws java.io.IOException

  Renders either a script or style resource depending on the resourcePath

  Parameters:
    `facesContext` -
    `resourcePath` -
  Throws:
    `java.io.IOException`

### renderScriptLink

    public static void renderScriptLink(javax.faces.context.FacesContext facesContext,
                                        java.lang.String scriptPath)
                                 throws java.io.IOException

  Render a `
  ` tag for a given script resource.

  Parameters:
    `facesContext` -
    `scriptPath` -
  Throws:
    `java.io.IOException`

### renderScriptLink

    public static void renderScriptLink(javax.faces.context.FacesContext facesContext,
                                        java.lang.String scriptPath,
                                        java.util.Map attributes)
                                 throws java.io.IOException

  Render a `
  ` tag for a given script resource.

  Parameters:
    `facesContext` -
    `scriptPath` -
    `attributes` - - a map of additional attributes to render on the script tag
  Throws:
    `java.io.IOException`

### renderStyleLink

    public static void renderStyleLink(javax.faces.context.FacesContext facesContext,
                                       java.lang.String cssPath)
                                throws java.io.IOException

  Render a `` tag for a given stylesheet resource.

  Parameters:
    `facesContext` -
    `cssPath` -
  Throws:
    `java.io.IOException`

### renderDojoInclude

    public static void renderDojoInclude(javax.faces.context.FacesContext facesContext,
                                         java.lang.String module)
                                  throws java.io.IOException

  Render a `
  ` tag for a given dojo include.

  Parameters:
    `facesContext` -
    `module` -
  Throws:
    `java.io.IOException`

### beginCombineStyles

    public static void beginCombineStyles(javax.faces.context.FacesContext facesContext)

### endCombineStyles

    public static void endCombineStyles(javax.faces.context.FacesContext facesContext)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginScriptBlock

    public static void beginScriptBlock(javax.faces.context.FacesContext facesContext)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### endScriptBlock

    public static void endScriptBlock(javax.faces.context.FacesContext facesContext)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD